package cn.iocoder.yudao.module.system.service.home;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceCategoryPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceCategoryPageRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceCategoryRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceCategorySaveReqVO;

public interface HomeServiceCategoryService {

    Long createHomeServiceCategory(HomeServiceCategorySaveReqVO createReqVO);

    void updateHomeServiceCategory(HomeServiceCategorySaveReqVO updateReqVO);

    void deleteHomeServiceCategory(Long id);

    HomeServiceCategoryRespVO getHomeServiceCategory(Long id);

    PageResult<HomeServiceCategoryPageRespVO> getHomeServiceCategoryPage(HomeServiceCategoryPageReqVO pageReqVO);
}



